Subject: bug#10285: 23.3; Gud hangs terminal when not running gdb --annotate=3

From: Phillip Susi <[email-masked]>
Date: Mon, 12 Dec 2011 16:04:24 -0500

Ever since upgrading to emacs23 I have been unable to run gdb with sudo 
under emacs gud mode ( it never gets my password ).  I have recently 
studied the issue in depth and found that the problem is more broad than 
sudo.  When starting gud mode with M-x gdb, it prompts you for what to 
run, and if you don't run gdb --annotate=3, then gud mode hangs and 
nothing you type is sent to the inferior process.  It seems --annotate=3 
generates some magic output that gud mode is waiting on and until it 
sees it, will not forward anything you type to the inferior process.